﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MindFusion.Diagramming.Wpf.Behaviors;
using MindFusion.Diagramming.Wpf;
using System.Windows.Media;
namespace CusBeh
{
    class CustomBehavior : BehaviorBase
    {
        public CustomBehavior(Diagram diagram)
            :base(diagram)
        {
        }

        public override MindFusion.Diagramming.Wpf.CursorHint SetMouseCursor(System.Windows.Point point, out bool startInteraction)
        {
            int handle = 0;
            startInteraction = false;
            
            DiagramNode node = Diagram.GetNodeAt(point);

            if (node == null)
                return CursorHint.Pointer;

            if (node.HitTestHandle(point, ref handle))
            {
                startInteraction = true;
                return CursorHint.Move;
            }

            return CursorHint.Pointer;
        }

        public override MindFusion.Diagramming.Wpf.InteractionState StartDraw(System.Windows.Point point)
        {
            DiagramNode n = Diagram.GetNodeAt(point);

            if (n != null)
            {
                if (n is ShapeNode)
                {

                    ShapeNode node = (ShapeNode)n.Clone(false);
                    Diagram.Nodes.Add(node);
                    node.Brush = new SolidColorBrush(Color.FromArgb(50, 0, 0, 0));

                    int handle = 8;
                    node.Tag = n;
                    if (!node.NotInteractive())
                    {
                        return new InteractionState(node, handle, MindFusion.Diagramming.Wpf.Action.Modify);
                    }
                }
            }

            return null ;
        }
    }
}

