﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using MindFusion.Diagramming.Wpf;
using System.Windows.Media.Effects;

namespace CusBeh
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            BlurBitmapEffect ef = new BlurBitmapEffect();
            ef.Radius = 5;
            ef.KernelType = KernelType.Box;

            diagram.Factory.CreateShapeNode(250, 50, 100, 100);
            ShapeNode node = diagram.Factory.CreateShapeNode(50, 50, 100, 100);

            CustomBehavior cb = new CustomBehavior(diagram);
            diagram.Behavior = Behavior.Custom;
            diagram.CustomBehavior = cb;
        }

        private void diagram_NodeModified(object sender, NodeEventArgs e)
        {
            DiagramNode node = e.Node;
            DiagramNode n = node.Tag as DiagramNode;

            n.Bounds = node.Bounds;
            diagram.Nodes.Remove(node);
        }

        private void diagram_NodeClicked(object sender, NodeEventArgs e)
        {

            if (e.Node.Tag is ShapeNode)
            {
                diagram.Selection.Change(e.Node.Tag as DiagramNode);
                diagram.Nodes.Remove(e.Node);
            }
        }
    }
}
